ossl_pkcs5.c File Reference
`#include "ossl.h"`

Go to the source code of this file.

## Macros

#define | ossl_pkcs5_pbkdf2_hmac rb_f_notimplement
#define | ossl_pkcs5_pbkdf2_hmac_sha1 rb_f_notimplement

## Functions

void | Init_ossl_pkcs5 ()

## Variables

VALUE | mPKCS5
VALUE | ePKCS5

## Macro Definition Documentation

#define ossl_pkcs5_pbkdf2_hmac rb_f_notimplement

Definition at line 48 of file ossl_pkcs5.c.

Referenced by Init_ossl_pkcs5().

#define ossl_pkcs5_pbkdf2_hmac_sha1 rb_f_notimplement

Definition at line 86 of file ossl_pkcs5.c.

Referenced by Init_ossl_pkcs5().

## Function Documentation

void Init_ossl_pkcs5 | ( | void |  | ) |

Definition at line 90 of file ossl_pkcs5.c.

References eOSSLError, ePKCS5, mOSSL, mPKCS5, ossl_pkcs5_pbkdf2_hmac, ossl_pkcs5_pbkdf2_hmac_sha1, rb_define_class_under(), rb_define_module_function(), and rb_define_module_under().

Referenced by Init_openssl().

## Variable Documentation

VALUE ePKCS5

Definition at line 8 of file ossl_pkcs5.c.

Referenced by Init_ossl_pkcs5().

VALUE mPKCS5

Definition at line 7 of file ossl_pkcs5.c.

Referenced by Init_ossl_pkcs5().